import { CollectionData, CollectionRequest } from '../interfaces/collection.interface';
import { Observable } from 'rxjs';
import { CollectionProvider } from './collection.provider';
import { HttpClient } from '@angular/common/http';
export declare class ApiCollectionProvider<T> extends CollectionProvider<T> {
    private readonly _endpoint;
    private readonly _httpClient;
    private _extraParams;
    constructor(_endpoint: string | Observable<string>, _httpClient: HttpClient);
    append(name: string, value: string | number | boolean | ReadonlyArray<string | number | boolean> | Observable<string | number | boolean | ReadonlyArray<string | number | boolean>>): this;
    transform(request: CollectionRequest): Observable<CollectionData<T>>;
    private getExtraParams;
    private formatToCollectionData;
    private getBackendFormat;
}
