import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { AnimationEvent } from '@angular/animations';
import * as i0 from "@angular/core";
export declare class BbDialogOverlay implements AfterViewInit, OnDestroy {
    private _elementRef;
    private _changeDetection;
    animations: boolean;
    closeRequested: EventEmitter<void>;
    private _state;
    private _closed$;
    private _subscription;
    get state(): "none" | "open" | "close";
    constructor(_elementRef: ElementRef, _changeDetection: ChangeDetectorRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onKeyEvent(event: KeyboardEvent): void;
    onAnimationDone(event: AnimationEvent): void;
    close(): Promise<void>;
    private listenForClicks;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbDialogOverlay, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbDialogOverlay, "bb-dialog-overlay", never, { "animations": "animations"; }, { "closeRequested": "closeRequested"; }, never, ["[bb-dialog-modal]"]>;
}
