import { AuthMapperProtocol } from '../interfaces/mapper.interface';
import * as i0 from "@angular/core";
export declare class AuthMapper implements AuthMapperProtocol {
    me: string;
    register: string;
    resendCode: string;
    logout: string;
    refresh: string;
    requestPassword: string;
    resetPassword: string;
    role(data: any): any;
    toRegister(data: any): {
        accessToken: any;
        refreshToken: any;
        user: any;
    };
    toRefresh(data: any): {
        accessToken: any;
        refreshToken: any;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthMapper, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthMapper>;
}
