import { HttpClient } from '@angular/common/http';
export interface AuthProvider {
    authenticate(httpClient: HttpClient): Promise<AuthProviderResponse>;
}
export interface AuthProviderResponse {
    user?: any;
    provider?: string;
    verifyToken?: string;
    accessToken?: string;
    refreshToken?: string;
}
export interface AuthSignInResponse {
    user?: unknown;
    provider?: string;
    verifyToken?: string;
}
