import { CanLoad, CanLoadConstructor, CanDisable, CanDisableConstructor } from '@bravobit/bb-foundation';
import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
declare class BbButtonBase {
    _elementRef: ElementRef;
    constructor(_elementRef: ElementRef);
}
declare const BbButtonMixinBase: CanDisableConstructor & CanLoadConstructor & typeof BbButtonBase;
export declare class BbButton extends BbButtonMixinBase implements CanDisable, CanLoad {
    get nativeElement(): any;
    constructor(_elementRef: ElementRef<HTMLButtonElement>);
    focus(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbButton, "button[bb-button]", ["bbButton"], { "disabled": "disabled"; "loading": "loading"; }, {}, never, ["*"]>;
}
export declare class BbAnchor extends BbButton {
    tabIndex: number;
    constructor(_elementRef: ElementRef);
    stopDisabledEvents(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BbAnchor, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BbAnchor, "a[bb-button]", ["bbButton", "bbAnchor"], { "disabled": "disabled"; "loading": "loading"; "tabIndex": "tabIndex"; }, {}, never, ["*"]>;
}
export {};
