/// <reference types="grecaptcha" />
import { RendererFactory2 } from '@angular/core';
import { RecaptchaConfig } from './recaptcha.interface';
import { Platform } from '@bravobit/bb-foundation';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class RecaptchaLoader {
    private _platform;
    private _renderFactory;
    private _document?;
    private _localeId?;
    private _config?;
    readonly ready$: BehaviorSubject<ReCaptchaV2.ReCaptcha | null> | null;
    private readonly _windowLoadFn;
    private readonly _renderer;
    constructor(_platform: Platform, _renderFactory: RendererFactory2, _document?: any, _localeId?: string, _config?: RecaptchaConfig);
    private createScript;
    private getUrl;
    private getQueryParams;
    static ɵfac: i0.ɵɵFactoryDeclaration<RecaptchaLoader, [null, null, { optional: true; }, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RecaptchaLoader>;
}
